Name:      scim-tables
Version:   0.5.1
Release:   4.131%{?dist}
Summary:   SCIM Generic Table IMEngine

License:   GPL
Group:     System Environment/Libraries
URL:       http://sourceforge.net/projects/scim
Source0:   %{name}-%{version}.tar.gz
Source1:   Hindi-inscript.txt.in
Source2:   Hindi-phonetic.txt.in
Source3:   Hindi.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Patch1:    scim-tables-0.5.1-add-hindi.patch
BuildRequires: scim-devel, gtk2-devel

%description
This package contains the Generic Table IMEngine for SCIM.

%package zh
Summary:	SCIM tables for Chinese
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description zh
This package includes table IM data files for Chinese.

%package ja
Summary:	SCIM tables for Japanese
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description ja
This package includes table IM data files for Japanese.

%package ko
Summary:	SCIM tables for Korean
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description ko
This package includes table IM data files for Korean.

%package additional
Summary:	SCIM tables for some additional languages
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description additional
This package includes table IM data files for additional languages,
such as Russian etc..


%prep
%setup -q
%patch1 -p1 -b .orig
cp %SOURCE1 %SOURCE2 additional
cp %SOURCE3 icons

# patch1 touches additional/Makefile.am and configure.ac
autoreconf

%build
%configure
make  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

# kill *.a and *.la files
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*.{a,la}


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_bindir}/scim-make-table
%{_libdir}/scim-1.0/IMEngine/table.so
%{_libdir}/scim-1.0/SetupUI/table-imengine-setup.so
%{_datadir}/scim/icons/table.png


%files zh
%defattr(-, root, root, -)
%doc zh/README-Erbi.txt zh/README-CangJie.txt
%{_datadir}/scim/tables/Array30.bin
%{_datadir}/scim/tables/CangJie.bin
%{_datadir}/scim/tables/CangJie3.bin
%{_datadir}/scim/tables/Cantonese.bin
%{_datadir}/scim/tables/CantonHK.bin
%{_datadir}/scim/tables/Dayi3.bin
%{_datadir}/scim/tables/Erbi.bin
%{_datadir}/scim/tables/Erbi-QS.bin
%{_datadir}/scim/tables/EZ.bin
%{_datadir}/scim/tables/Jyutping.bin
%{_datadir}/scim/tables/Quick.bin
%{_datadir}/scim/tables/Simplex.bin
%{_datadir}/scim/tables/Stroke5.bin
%{_datadir}/scim/tables/Wubi.bin
%{_datadir}/scim/tables/Ziranma.bin
%{_datadir}/scim/tables/ZhuYin.bin
%{_datadir}/scim/icons/Array30.png
%{_datadir}/scim/icons/CangJie.png
%{_datadir}/scim/icons/CangJie3.png
%{_datadir}/scim/icons/Cantonese.png
%{_datadir}/scim/icons/CantonHK.png
%{_datadir}/scim/icons/Dayi.png
%{_datadir}/scim/icons/Erbi.png
%{_datadir}/scim/icons/Erbi-QS.png
%{_datadir}/scim/icons/EZ.png
%{_datadir}/scim/icons/Jyutping.png
%{_datadir}/scim/icons/Quick.png
%{_datadir}/scim/icons/Simplex.png
%{_datadir}/scim/icons/Stroke5.png
%{_datadir}/scim/icons/Wubi.png
%{_datadir}/scim/icons/Ziranma.png
%{_datadir}/scim/icons/ZhuYin.png


%files ja
%defattr(-, root, root, -)
%doc ja/kanjidic_licence.html ja/kanjidic_doc.html
%{_datadir}/scim/tables/HIRAGANA.bin
%{_datadir}/scim/tables/KATAKANA.bin
%{_datadir}/scim/tables/Nippon.bin
%{_datadir}/scim/icons/HIRAGANA.png
%{_datadir}/scim/icons/KATAKANA.png
%{_datadir}/scim/icons/Nippon.png


%files ko
%defattr(-, root, root, -)
%{_datadir}/scim/tables/Hangul.bin
%{_datadir}/scim/tables/HangulRomaja.bin
%{_datadir}/scim/tables/Hanja.bin
%{_datadir}/scim/icons/Hangul.png
%{_datadir}/scim/icons/Hanja.png


%files additional
%defattr(-, root, root, -)
%{_datadir}/scim/tables/Arabic.bin
%{_datadir}/scim/tables/Amharic.bin
%{_datadir}/scim/tables/Hindi-inscript.bin
%{_datadir}/scim/tables/Hindi-phonetic.bin
%{_datadir}/scim/tables/Viqr.bin
%{_datadir}/scim/tables/Yawerty.bin
%{_datadir}/scim/icons/Arabic.png
%{_datadir}/scim/icons/Amharic.png
%{_datadir}/scim/icons/Viqr.png
%{_datadir}/scim/icons/Hindi.png
%{_datadir}/scim/icons/Yawerty.png


%changelog
* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.5.1-4
- rebuild against scim-1.3.1

* Mon Jun 13 2005 Jens Petersen <petersen@redhat.com> - 0.5.1-3
- add Hindi phonetic table and Hindi icon

* Fri Jun 10 2005 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- add Hindi inscript table to additional tables

* Fri Jun 3 2005 Ryo Dairiki <ryo-dairiki@sourceforge.net> - 0.5.1
- Initial packaging for Fedora Extras.

* Wed Jan 5 2005 James Su <suzhe@tsinghua.org.cn>
- Added Generic Table IMEngine module into this package.

* Sun Jun 20 2004 James Su <suzhe@tsinghua.org.cn>
- Added Amharic table.

* Mon Apr 05 2004 James Su <suzhe@tsinghua.org.cn>
- Updated Nippon table.
- Added Yawerty table for Russian.

* Fri Nov 28 2003 James Su <suzhe@turbolinux.com.cn>
- upgraded CangJie.txt.in, added README-CangJie.txt

* Tue Sep 02 2003 James Su <suzhe@turbolinux.com.cn>
- updated table format according to SCIM 0.8.0
- added icon files.

* Wed Feb 26 2003 James Su <suzhe@turbolinux.com.cn>
- updated table format according to SCIM 0.3.1.

* Mon Nov 04 2002 James Su <suzhe@turbolinux.com.cn>
- Initial release.
